clear
set more off

global pathdata "C:\Users\ssch9002\Dropbox\Kristian Honors Documents\Data"
global pathfig "C:\Users\ssch9002\Dropbox\Stefi + Tara 2018\RevisionsLabourEconomics\UpdatedResults\Figures"
global pathtable "C:\Users\ssch9002\Dropbox\Stefi + Tara 2018\RevisionsLabourEconomics\UpdatedResults\UpdatedTables"

use "$pathdata\ncds-main.dta", clear
gen ncdsid=serialno
sort ncdsid

merge 1:1 ncdsid using "C:\Users\ssch9002\Dropbox\Stefi + Tara 2018\RevisionsLabourEconomics\Extradata\NCDS_pay"


// Generate a figure for ACE over Father's and mothers age when left fulltime education

*set scheme s1manual
grstyle init
grstyle set plain, horizontal grid
grstyle set color  
grstyle set legend 10, inside nobox
grstyle set ci, opacity(25) 


sum ACEIndex
local m=r(mean)

sum FathereduA16
local fedu=r(mean)
sum MothereduA16
local medu=r(mean)


local d=2

tw (lpolyci ACEIndex FathereduA16, level(95) degree(`d') clpattern(solid) clcolor(blue) ) ///
(lpolyci ACEIndex MothereduA16, level(95) degree(`d') clpattern(dash) clcolor(pink) ),  ///
			title("") ///
			xlabel(12(2)24) ylabel(0(0.1)0.7, grid) xline(15 18, lcolor(black) lpattern(dash) lwidth(vthin)) yline(`m', lcolor(black) lwidth(vthin) lpattern(dash)) ///
			ytitle("ACE Index") xtitle("Age when parent left full-time education") ///
			legend(order(1 2 4) region(lwidth(none)) label(1 "95% CI") label(2 "Father") label(4 "Mother") cols(1) position(1) ring(0))
						
graph export "$pathfig\fig-ace-agelefteducation.emf", as(emf) replace

// Father social class


gen fsoc = 9-Fathersocialc
gen msoc = 9-Mothersocialc 

local d=2

sum ACEIndex
local m=r(mean)

sum Fathersocialc
local fedu=r(mean)
sum Mothersocialc
local medu=r(mean)

tw (lpolyci ACEIndex fsoc if fsoc<8, level(95) degree(`d') clpattern(solid) clcolor(blue) ) ///
(lpolyci ACEIndex msoc if msoc<8, level(95) degree(`d') clpattern(dash) clcolor(pink) ),  ///
			title("") ///
			xlabel(1 "Undeterm." 2 "Unskill. man," 3 "Unskill. mon-man." 4 "Skill. manual" 5 "Skill non-man." 6 "Profess." 7 "Manag./Legis.",  angle(45)) ///
			ylabel(0(0.1)0.8, grid) xline(3 6, lcolor(black) lpattern(dash) lwidth(vthin)) ///
			yline(`m', lcolor(black) lwidth(vthin) lpattern(dash)) ///
			ytitle("ACE Index") xtitle("Parental occupational class") ///
			legend(order(1 2 4) region(lwidth(none)) label(1 "95% CI") label(2 "Father") label(4 "Mother") cols(1) position(12) ring(0))
						
graph export "$pathfig\fig-ace-class.emf", as(emf) replace

local d=2

sum RobustACEIndex
local m=r(mean)

sum fsoc
local fedu=r(mean)
sum msoc
local medu=r(mean)

tw (lpolyci RobustACEIndex fsoc if fsoc<8, level(95) degree(`d') clpattern(solid) clcolor(blue) ) ///
(lpolyci RobustACEIndex msoc if msoc<8, level(95) degree(`d') clpattern(dash) clcolor(pink) ),  ///
			title("") ///
			xlabel(1 "Not determ." 2 "Unskill. man," 3 "Unskill. non-man." 4 "Skill. manual" 5 "Skill non-man." 6 "Profess." 7 "Manag./Legis.",  angle(45)) ///
			ylabel(0(0.1)0.8, grid) xline(3 6, lcolor(black) lpattern(dash) lwidth(vthin)) ///
			yline(`m', lcolor(black) lwidth(vthin) lpattern(dash)) ///
			ytitle("ACE Index") xtitle("Parental occupational class") ///
			legend(order(1 2 4) region(lwidth(none)) label(1 "95% CI") label(2 "Father") label(4 "Mother") cols(1) position(11) ring(0))
						
graph export "$pathfig\fig-robustace-class.emf", as(emf) replace



sum RobustACEIndex
local m=r(mean)

sum FathereduA16
local fedu=r(mean)
sum MothereduA16
local medu=r(mean)

local d=2

tw (lpolyci RobustACEIndex FathereduA16, level(95) degree(`d') clpattern(solid) clcolor(blue) ) ///
(lpolyci RobustACEIndex MothereduA16, level(95) degree(`d') clpattern(dash) clcolor(pink) ),  ///
			title("") ///
			xlabel(12(2)24) ylabel(0(0.1)0.7, grid) xline(15 18, lcolor(black) lpattern(dash) lwidth(vthin)) yline(`m', lcolor(black) lwidth(vthin) lpattern(dash)) ///
			ytitle("ACE Index") xtitle("Age when parent left full-time education") ///
			legend(order(1 2 4) region(lwidth(none)) label(1 "95% CI") label(2 "Father") label(4 "Mother") cols(1) position(1) ring(0))
						

			
graph export "$pathfig\fig-acerobust-agelefteducation.emf", as(emf) replace


// Income and ACE


local d=2

sum ACEIndex
local m=r(mean)

sum payFather
local fedu=r(mean)
sum payMother
local medu=r(mean)

tw (lpolyci ACEIndex payFather, level(95) degree(`d') clpattern(solid) clcolor(blue) ) ///
(lpolyci ACEIndex payMother, level(95) degree(`d') clpattern(dash) clcolor(pink) ),  ///
			title("") ///
			xlabel(-1 "miss." 1(1)12) ///
			ylabel(0(0.1)0.8, grid) xline(4 10, lcolor(black) lpattern(dash) lwidth(vthin)) ///
			yline(`m', lcolor(black) lwidth(vthin) lpattern(dash)) ///
			ytitle("ACE Index") xtitle("Parental pay") ///
			legend(order(1 2 4) region(lwidth(none)) label(1 "95% CI") label(2 "Father") label(4 "Mother") cols(1) position(12) ring(0))
						
graph export "$pathfig\fig-ace-income.emf", as(emf) replace

// Robust index

local d=2

sum RobustACEIndex
local m=r(mean)

sum payFather
local fedu=r(mean)
sum payMother
local medu=r(mean)

tw (lpolyci RobustACEIndex payFather, level(95) degree(`d') clpattern(solid) clcolor(blue) ) ///
(lpolyci RobustACEIndex payMother, level(95) degree(`d') clpattern(dash) clcolor(pink) ),  ///
			title("") ///
			xlabel(-1 "miss." 1(1)12) ///
			ylabel(0(0.1)0.8, grid) xline(4 10, lcolor(black) lpattern(dash) lwidth(vthin)) ///
			yline(`m', lcolor(black) lwidth(vthin) lpattern(dash)) ///
			ytitle("ACE Index (excl. separation)") xtitle("Parental pay") ///
			legend(order(1 2 4) region(lwidth(none)) label(1 "95% CI") label(2 "Father") label(4 "Mother") cols(1) position(12) ring(0))
						
graph export "$pathfig\fig-robustace-income.emf", as(emf) replace


/*
sum MothereduA16
local medu=r(mean)
gen Medu = 2 if MothereduA16<`medu'
replace Medu = 1 if  MothereduA16>=`medu' & MothereduA16< 20
replace Medu = 0 if MothereduA16>=20 & MothereduA16!=.
label define Medulab 0 "Age 20+" 1 "Age 15-19" 2 "Age 12-14"
label values Medu Medulab
*/

// Father and Mother education levels

sum MothereduA16
local medu=r(mean)
gen Medu = 2 if MothereduA16<16 & MothereduA16!=.
replace Medu = 1 if  MothereduA16>=16 & MothereduA16<19
replace Medu = 0 if MothereduA16>=19 & MothereduA16!=.
label define Medulab 0 "Age 19+" 1 "Age 16-18" 2 "Age 12-15"
label values Medu Medulab

set scheme s1mono
graph hbar ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, ///
over(Medu, sort(1) descending) stack  legend(order(1 2 3 4 5 6)  ///
region(lwidth(none)) label(1 "In care") label(2 "Neglect") label(3 "Separation") label(4 "Mental") label(5 "Alcohol") label(6 "Offense") ///
cols(1) position(5) ring(0)) ytitle("Proportion") ///
bar(1, color(gold)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(green)) bar(6, color(orange))
graph export "$pathfig\fig-ACEcomponents-Medu.emf", as(emf) replace


graph hbar ChildincareA7_16 ChildneglectA7_11 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, ///
over(Medu, sort(1) descending) stack  legend(order(1 2 3 4 5)  ///
region(lwidth(none)) label(1 "In care") label(2 "Neglect") label(3 "Mental") label(4 "Alcohol") label(5 "Offense") ///
cols(1) position(5) ring(0)) ytitle("Proportion") ///
bar(1, color(gold)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(green))
graph export "$pathfig\fig-ACEcomponents-ROBUST-Medu.emf", as(emf) replace


gen Fedu = 2 if FathereduA16<16 & FathereduA16!=.
replace Fedu = 1 if  FathereduA16>=16 & FathereduA16<19
replace Fedu = 0 if FathereduA16>=19 & FathereduA16!=.
label define Fedulab 0 "Age 19+" 1 "Age 16-18" 2 "Age 12-15"
label values Fedu Fedulab


graph hbar ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, ///
over(Fedu, sort(1) descending) stack  legend(order(1 2 3 4 5 6)  ///
region(lwidth(none)) label(1 "In care") label(2 "Neglect") label(3 "Separation") label(4 "Mental") label(5 "Alcohol") label(6 "Offense") ///
cols(1) position(5) ring(0)) ytitle("Proportion") ///
bar(1, color(gold)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(green)) bar(6, color(orange))

graph export "$pathfig\fig-ACEcomponents-Fedu.emf", as(emf) replace


gen Finc = 0 if payFather<=5 & payFather>0
replace Finc = 1 if payFather>5 & payFather<9
replace Finc = 2 if payFather>8 & payFather!=.
label define Fpaylab 0 "Bottom-income class" 1 "Middle class" 2 "High-income class", modify
label values Finc Fpaylab


graph hbar ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, ///
over(Finc, sort(1) descending) stack  legend(order(1 2 3 4 5 6)  ///
region(lwidth(none)) label(1 "In care") label(2 "Neglect") label(3 "Separation") label(4 "Mental") label(5 "Alcohol") label(6 "Offense") ///
cols(1) position(5) ring(0)) ytitle("Proportion") ///
bar(1, color(gold)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(green)) bar(6, color(orange))

graph export "$pathfig\fig-ACEcomponents-Finc.emf", as(emf) replace




graph hbar ChildincareA7_16 ChildneglectA7_11  MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, ///
over(Fedu, sort(1) descending) stack  legend(order(1 2 3 4 5 )  ///
region(lwidth(none)) label(1 "In care") label(2 "Neglect") label(3 "Mental illness") label(4 "Alcohol") label(5 "Offense") ///
cols(1) position(5) ring(0)) ytitle("Proportion") ///
bar(1, color(gold)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(green))


graph export "$pathfig\fig-ACEcomponents-ROBUST-Fedu.emf", as(emf) replace


gen MsocCat = 2 if (msoc==6|msoc==7)
replace MsocCat = 1 if (msoc==5|msoc==4)
replace MsocCat = 0 if (msoc==3|msoc==2|msoc==1)

label define MsocLab 0 "Low occup" 1 "Med occ" 2 "High occ"
label values MsocCat MsocLab 

graph hbar ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, ///
over(MsocCat, sort(0) descending) stack  legend(order(1 2 3 4 5 6)  ///
region(lwidth(none)) label(1 "In care") label(2 "Neglect") label(3 "Separation") label(4 "Mental") label(5 "Alcohol") label(6 "Offense") ///
cols(1) position(1) ring(0)) ytitle("Proportion") ///
bar(1, color(gold)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(green)) bar(6, color(orange))

graph export "$pathfig\fig-ACEcomponents-Msoc.emf", as(emf) replace


gen FsocCat = 0 if (fsoc==6|fsoc==7)
replace FsocCat = 1 if (fsoc==5|fsoc==4)
replace FsocCat = 2 if (fsoc==3|fsoc==2|fsoc==1)

label define FsocLab 2 "Low occup" 1 "Med occ" 0 "High occ", modify
label values FsocCat FsocLab 


graph hbar ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, ///
over(FsocCat, sort(0) descending) stack  legend(order(1 2 3 4 5 6)  ///
region(lwidth(none)) label(1 "In care") label(2 "Neglect") label(3 "Separation") label(4 "Mental") label(5 "Alcohol") label(6 "Offense") ///
cols(1) position(5) ring(0)) ytitle("Proportion") ///
bar(1, color(gold)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(green)) bar(6, color(orange))

graph export "$pathfig\fig-ACEcomponents-Fsoc.emf", as(emf) replace


// Revisions: suggestion to use factor analytic measure of ACE 
foreach x of varlist ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11 {
replace `x'=0 if `x'==. & ACEIndex!=.
}

label var ChildincareA7_16 "In care"
label var ChildneglectA7_11 "Neglect (by teacher assess)"
label var DivorceA7_16 "Separation from parents"
label var MentalIllnessA7_16 "Mental illness"
label var AlcoholAbuseA7 "Alcohol abuse"
label var offendersA7_11 "In prison"

alpha ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11 if YNetIncome2013>=0 & YNetIncome2013<300000, item



factor ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11, pcf
rotate
predict factor_ace1 factor_ace2
gen ACEIndexFAC=factor_ace1
sum ACEIndexFAC
local mace=r(mean)
gen ACEFAC_DUMMY=(ACEIndexFAC>`mace')
replace ACEFAC_DUMMY = . if ACEIndexFAC==.

*Control Variables used for regressions


label define FSClab 1 "No father" 2 "Manager/Legislator" 3 "Professional" 4 "Skilled non-manual" 5 "Skilled manual" 6 "Unskilled non-manual" 7 "Unskilled non-manual" 8 "Undetermined", modify
label values Fathersocialclass FSClab

gen lbw=(birthweight < 2500)
label var lbw "Low birth weight"

gen lbwmiss=(birthweight==.)
replace lbw=0 if birthweight==.

// Premature

gen premature = (Gestation<253)
replace premature = . if Gestation==.
label var premature "Born < 36 weeks"

gen prematuremiss=(premature==.)
replace premature=0 if premature==.

// Number of siblings

gen NsibA7 = 1 if NumSiblingsA7==0
replace NsibA7 = 2 if NumSiblingsA7==1
replace NsibA7= 3 if NumSiblingsA7==2
replace NsibA7= 4 if NumSiblingsA7==3 
replace NsibA7 = 5 if NumSiblingsA7>=4 & NumSiblingsA7!=.
label var NsibA7 "Number of siblings cat."

label define Nsiblab 1 "No siblings" 2 "1 sibling" 3 "2 siblings" 4 "3 siblings" 5 "4 (+) siblings", modify
label values NsibA7 Nsiblab 

gen Mage = 1 if MumagebirthA0<20
replace Mage = 2 if MumagebirthA0>=20 & MumagebirthA0<35
replace Mage = 3 if MumagebirthA0>34 & MumagebirthA0!=.

label define Magelab 1 "Teenage Mom (age < 20)" 2 "Mom age 20-34" 3 "Mature mother (age>34)", modify
label values Mage Magelab

gen Female = (GenderChild==2)
label var Female "Female"

gen y=YNetIncome2013 if YNetIncome2013>=0 
gen y0=YNetIncome2013 if YNetIncome2013>0
gen logy0 = ln(y0) 
label var logy0 "Net Income (log)"


gen By0 = (YNetIncome2013>0 & YNetIncome2013!=.)
replace By0 =0 if YNetIncome2013==0
replace By0 =. if YNetIncome2013==.
label var By0 "Positive earnings"

label var FathereduA16 "Father age when left FT edu"
label var MothereduA16 "Mother age when left FT edu"

// People per room

replace PeoplePerRoom=3 if PeoplePerRoom>3 & PeoplePerRoom!=.

// Birth order

gen BO=0 if (birthorder==-1|birthorder==.)
gen BOmiss=(birthorder==-1|birthorder==.)
replace BO=0 if birthorder==0
replace BO=1 if birthorder==1
replace BO=2 if birthorder==2
replace BO=3 if birthorder==3
replace BO=4 if birthorder>=4 & birthorder!=.

// payFather

gen FIncome=payFather
replace FIncome=0 if (payFather==-1|payFather==.)
replace FIncome=9 if payFather>=9 & payFather<11
replace FIncome=10 if payFather==11|payFather==12
*replace FIncome=11 if payFather==11
replace FIncome=5 if payFather<=5 & payFather>0


// For estimation

gen Medumiss=(MothereduA16==.)
replace MothereduA16=0 if MothereduA16==.

gen Fedumiss=(FathereduA16==.)
replace FathereduA16=0 if FathereduA16==.

/// Some more relabelling

label var ACEIndex "ACE Index"
label var ACEDummy "ACE>1"
label var RobustACEIndex "ACE w/o divorce"
label var RobustACEDummy "ACE>1 w/o divorce"
label var ACEIndexFAC "ACE-unequal weight"
label var ACEFAC_DUMMY "ACE>mean-unequal weight"

label var By0 "Positive earnings"
label var logy0 "Net (log) income"
label var YunemployedY2013 "Unemployed"
label var YWelfareDepend2013 "Welfare dependence"
label var YPoverty2013 "Subjective poverty"

label var Female "Female"
label var premature "Premature (< 37 weeks)"
label var lbw "Low birth weight (< 2500g)"
label var prematuremiss "Premature missing"
label var lbwmiss "Birthweight missing"

label define BOlab 0 "BO undefined" 1 "First-born" 2 "Second born" 3 "Third born" 4 "Higher order birth", modify 
label values BO BOlab

label define PPRlab 1 "Crowding: 1 PPR" 2 "Crowding: 2 PPR" 3 "Crowding: 3+ PPR"
label values PeoplePerRoom PPRlab

label var MothereduA16 "Mother: age left FT education"
label var FathereduA16 "Father: age left FT education"
label var Fedumiss "Father edu missing"
label var Medumiss "Mother edu missing"

label define Finclab 0 "F Income: missing" 5 "F Income: Bottom 10 pctl" 6 "F Income: 10- <20 pctl" ///
7 "F Income: 20- <50 pctl" ///
8 "F Income: 50- <75 pctl" 9 "F Income: 75- <90 pctl" 10 "F income Top 10 pctls", modify
label values FIncome Finclab 



// ESTIMATION TEST

// Table A1

global xv1 "Female"
global xv2 "premature prematuremiss lbw lbwmiss"
global xv3 "b1.BO BOmiss"
global xv4 "b1.PeoplePerRoom"
global xv5 "b2.Mage"
global xv6 "b5.Fathersocialclass"
global xv7 "c.MothereduA16 c.FathereduA16 Fedumiss Medumiss"
global xv8 "b6.FIncome"
global xv9 "$xv1 $xv2 $xv3 $xv4 $xv5 $xv6 $xv7 $xv8"

gen treat = ACEIndex
label var treat "ACE"

global condy "if y>20 & y<1000000"

global y "logy0"
reg $y treat $xv9 $condy
gen sample = e(sample)==1

eststo clear
eststo: tobit $y treat if sample==1, ll(0)
forvalues i=1(1)9 {
eststo: tobit $y treat ${xv`i'} if sample==1, ll(0)
}
esttab using "$pathtable\TableA1.rtf", ///
replace label se(2) star(* .10 ** 0.05 *** 0.01) obslast  ///
title(Economics outcomes at Age 55 and ACE Index) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
drop sample treat

*ACE Dummy Basic Regressions with Controls
// Table A2

eststo clear
gen treat = ACEIndex
label var treat "ACE"

eststo: reg $y treat $xv9 $condy
gen sample1=(e(sample)==1)
eststo: reg By0 treat $xv9 
gen sample2=1 if e(sample)==1
eststo: reg YunemployedY2013 treat $xv9 
gen sample3=(e(sample)==1)
eststo: reg YWelfareDepend2013 treat $xv9 
gen sample4=(e(sample)==1)
eststo: reg YPoverty2013 treat $xv9
gen sample5=(e(sample)==1)
esttab using "$pathtable\TableA2.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Pos earnings" "Unemployment" "Welfare" "Poverty") ///
title(Economic outcomes at Age 55 and ACE Index (equal weighting)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 

*ACE Dummy Basic Regressions with Controls
// Table A3

eststo clear
gen treat = ACEDummy
label var treat "ACE"

eststo: reg $y treat $xv9 $condy

eststo: reg By0 treat $xv9 

eststo: reg YunemployedY2013 treat $xv9 

eststo: reg YWelfareDepend2013 treat $xv9 

eststo: reg YPoverty2013 treat $xv9

esttab using "$pathtable\TableA3.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Pos earnings" "Unemployment" "Welfare" "Poverty") ///
title(Economic outcomes Age 55 and high-dose ACE) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 

*Robust ACE Index Basic Regressions with Controls
// Table A4

eststo clear
gen treat = RobustACEIndex
label var treat "ACE"

eststo: reg $y treat $xv9 $condy

eststo: reg By0 treat $xv9 

eststo: reg YunemployedY2013 treat $xv9 

eststo: reg YWelfareDepend2013 treat $xv9 

eststo: reg YPoverty2013 treat $xv9

esttab using "$pathtable\TableA4.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Pos earnings" "Unemployment" "Welfare" "Poverty") ///
title(Economic outcomes at Age 55 and ACE Index (without divorce)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 


*ACE DUMMY Basic Regressions with Controls
// Table A5

eststo clear
gen treat = RobustACEDummy
label var treat "ACE"

eststo: reg $y treat $xv9 $condy
eststo: reg By0 treat $xv9 
eststo: reg YunemployedY2013 treat $xv9
eststo: reg YWelfareDepend2013 treat $xv9 
eststo: reg YPoverty2013 treat $xv9
esttab using "$pathtable\TableA5.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Any earnings" "Unemployment" "Welfare" "Poverty") ///
 title(Economic outcomes at age 55 and high-dose ACE without divorce) ///
 addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat


*Neglect Basic Regressions with Controls
// Table A6

eststo clear
gen treat = ChildneglectA7_11
label var treat "ACE"

eststo: reg $y treat $xv9 $condy
eststo: reg By0 treat $xv9 
eststo: reg YunemployedY2013 treat $xv9
eststo: reg YWelfareDepend2013 treat $xv9 
eststo: reg YPoverty2013 treat $xv9
esttab using "$pathtable\TableA6.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Any earnings" "Unemployment" "Welfare" "Poverty") ///
 title(Economic outcomes at Age 55 and childhood neglect (assessed by the teacher)) ///
 addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat


// Results estimated separately by SES
drop Finc
gen Finc = 0 if payFather<=6 & payFather>0
replace Finc = 1 if payFather>6 & payFather<9
replace Finc = 2 if payFather>8 & payFather!=.
replace Finc = 3 if payFather==-1
label define Fpaylab 0 "Bottom-income class" 1 "Middle class" 2 "High-income class" "Income missing", modify
label values Finc Fpaylab

eststo clear


gen treat = RobustACEDummy
label var treat "ACE"

global condy "y>20 & y<1000000"

eststo: reg $y treat $xv9 if $condy &   Finc==0 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==1
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==2 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==3
tab treat if e(sample)

esttab using "$pathtable\TableHeterogeneitybySES.rtf", replace se(2) keep(treat) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Poor" "Middle class" "Rich" "Income missing") ///
title(Earnings at Age 55 and ACE Index (equal weighting)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 

gen treat = ChildneglectA7_11
label var treat "Neglect"

global condy "y>20 & y<100000"

eststo: reg $y treat $xv9 if $condy &   Finc==0 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==1
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==2 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==3
tab treat if e(sample)

esttab using "$pathtable\TableHeterogeneitybySESneglect2.rtf", replace se(2) keep(treat) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Poor" "Middle class" "Rich" "Income missing") ///
title(Earnings at Age 55 and ACE Index (equal weighting)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 

gen treat = MentalIllnessA7_16
label var treat "Mental illness"

global condy "y>20 & y<100000"

eststo: reg $y treat $xv9 if $condy &   Finc==0 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==1
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==2 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==3
tab treat if e(sample)

esttab using "$pathtable\TableHeterogeneitybySESMI.rtf", replace se(2) keep(treat) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Poor" "Middle class" "Rich" "Income missing") ///
title(Earnings at Age 55 and ACE Index (equal weighting)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 

gen treat = ACEDummy
label var treat "ACE"

global condy "y>20 & y<100000"

eststo: reg $y treat $xv9 if $condy &   Finc==0 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==1
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==2 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==3
tab treat if e(sample)

esttab using "$pathtable\TableHeterogeneitybyACE.rtf", replace se(2) keep(treat) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Poor" "Middle class" "Rich" "Income missing") ///
title(Earnings at Age 55 and ACE Index (equal weighting)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 

gen treat = ACEFAC_DUMMY
label var treat "ACE"

global condy "y>20 & y<50000"

eststo: reg $y treat $xv9 if $condy &   Finc==0 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==1
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==2 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==3
tab treat if e(sample)

esttab using "$pathtable\TableHeterogeneitybyACEFAC.rtf", replace se(2) keep(treat) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Poor" "Middle class" "Rich" "Income missing") ///
title(Earnings at Age 55 and ACE Index (equal weighting)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 


eststo clear
gen treat = ChildneglectA7_11
label var treat "Neglect"


global condy "y>20 & y<400000"

eststo: reg $y treat $xv9 if $condy &   Finc==0 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==1
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==2 
tab treat if e(sample)
eststo: reg $y treat $xv9 if $condy &   Finc==3 
tab treat if e(sample)

esttab using "$pathtable\TableHeterogeneitybySESNeglect.rtf", replace se(2) keep(treat) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Poor" "Middle class" "Rich" "Income missing") ///
title(Earnings at Age 55 and ACE Index (equal weighting)) ///
addnote("This table computes ACE on basic adulthood outcomes with controls")
eststo clear
drop treat 

//// Main results for the paper
//// Focus on y, welfare and poverty only

egen ACEIndex_std=std(ACEIndex) if sample4==1
replace ACEIndex_std=. if ACEIndex==. 
label var ACEIndex_std "ACE Index (std)"


egen ACEIndexFAC_std=std(ACEIndexFAC) if sample4==1
replace ACEIndexFAC_std=. if ACEIndexFAC==. 
label var ACEIndexFAC_std "ACE Index Factor (std)"

// Table 3

global yvars "$y YWelfareDepend2013 YPoverty2013"
global tvar "ACEIndex ACEDummy ChildincareA7_16 ChildneglectA7_11 DivorceA7_16 MentalIllnessA7_16 AlcoholAbuseA7 offendersA7_11 RobustACEIndex RobustACEDummy ACEIndexFAC_std ACEIndex_std ACEFAC_DUMMY"
eststo clear

display "new estimates start here"

foreach y of global tvar {
local i = 1
foreach x of global yvars {
display `i'
gen treat = `y'
label var treat "Treat"

if  ("`x'" == "$y") {    
quietly regress `x' treat $xv9 $condy
gen sample=(e(sample))
}

else {
quietly regress `x' treat $xv9
gen sample=(e(sample))
}


eststo t`i'`y'r : regress `x' treat if sample==1
sum `x' if sample==1
eststo t`i'`y'c : regress `x' treat $xv9 if sample==1
local i = `i' + 1
drop treat sample
}

 
global preyvars  "t1`y'r t1`y'c t2`y'r t2`y'c t3`y'r t3`y'c"
 
if  ("`y'" == "ACEIndex") {               
estout $preyvars using "$pathtable\Table3.rtf", replace cells("b(fmt(3) star)" se(par fmt(3))) keep(treat) label nolz starlevels(* 0.10 ** 0.05 *** 0.01) ml("LogY-Raw" "LogY-Control" "Welfare-Raw" "Welfare-Control" "Poor-Raw" "Poor-Control") coll(none) 

}
 
else {
estout $preyvars using "$pathtable\Table3.rtf", append cells("b(fmt(3) star)" se(par fmt(3))) keep(treat) label nolz starlevels(* 0.10 ** 0.05 *** 0.01) ml("LogY-Raw" "LogY-Control" "Welfare-Raw" "Welfare-Control" "Poor-Raw" "Poor-Control") coll(none) 
}
}


//// Descriptive statistics for Paper ////

// Table 1

tab BO, gen(BO)
tab PeoplePerRoom, gen(PPR)

tab Mage, gen(Mage)
tab Fathersocialclass, gen(FSC)
tab FIncome, gen(FI)



global xv1 "Female"
global xv2 "premature prematuremiss lbw lbwmiss"
global xv3 "BO1 BO2 BO3 BO4 BO5 BOmiss"
global xv4 "PPR1 PPR2 PPR3"
global xv5 "Mage1 Mage2 Mage3"
global xv6 "FSC1 FSC2 FSC3 FSC4 FSC5 FSC6 FSC7 FSC8"
global xv7 "MothereduA16 FathereduA16 Fedumiss Medumiss"
global xv8 "FI1 FI2 FI3 FI4 FI5 FI6 FI7"
global xv9 "$xv1 $xv2 $xv3 $xv4 $xv5 $xv6 $xv7 $xv8"

// Attach labels //


label var Female "Female"
label var premature "Premature (< 37 weeks)"
label var lbw "Low birth weight (< 2500g)"
label var prematuremiss "Premature missing"
label var lbwmiss "Birthweight missing"
label var Mage1 "Teenage Mom (age < 20)"
label var Mage2 "Age mom: Low risk pregnancy (20-34)"
label var Mage3 "Age mom: higher risk pregnancy (>34)"
label var BO1 "Birth order undefined"
label var BO2 "First-born"
label var BO3 "Second-born"
label var BO4 "Third-born"
label var BO5 "Fourth-born or above"
label var BOmiss "Birth-order information missing"
label var PPR1 "1 person per room"
label var PPR2 "2 persons per room" 
label var PPR3 "3+ persons per room"
label var FSC1 "No father"
label var FSC2 "Father: Manager/Legislator"
label var FSC3 "Father: Professional"
label var FSC4 "Father: skilled non-manual"
label var FSC5 "Father: skilled manual"
label var FSC6 "Father: unskiled non-manual"
label var FSC7 "Father: unskilled manual"
label var FSC8 "Father: skill undetermined"
label var MothereduA16 "Mother: age left FT education"
label var FathereduA16 "Father: age left FT education"
label var Fedumiss "Father education missing"
label var Medumiss "Mother education missing"
label var FI1 "F Income: missing"
label var FI2 "F Income: Bottom 10 pctl"
label var FI3 "F Income: 10- <20 pctl"
label var FI4 "F Income: 20- <50 pctl"
label var FI5 "F Income: 50- <75 pctl"
label var FI6 "F Income: 75- <90 pctl"
label var FI7 "F Income: Top 10 pctl"
label var y "Net income"



estpost summarize y if sample1==1
esttab . using "$pathtable\Table1.rtf", cells("count mean(fmt(%8.1f)) sd(fmt(%8.1f)) min max") label noobs replace

estpost sum By0 if sample2==1
esttab . using "$pathtable\Table1.rtf", cells("count mean(fmt(%8.3f)) sd(fmt(%8.3f)) min max") label noobs append

estpost sum YunemployedY2013 if sample3==1
esttab . using "$pathtable\Table1.rtf", cells("count mean(fmt(%8.3f)) sd(fmt(%8.3f)) min max") label noobs append

estpost sum YWelfareDepend2013 if sample4==1
esttab . using "$pathtable\Table1.rtf", cells("count mean(fmt(%8.3f)) sd(fmt(%8.3f)) min max") label noobs append

estpost sum YPoverty2013 if sample5==1
esttab . using "$pathtable\Table1.rtf", cells("count mean(fmt(%8.3f)) sd(fmt(%8.3f)) min max") label noobs append

estpost summarize $tvar $xv9 if sample1==1
esttab . using "$pathtable\Table1.rtf", cells("count mean(fmt(%8.3f)) sd(fmt(%8.3f)) min max") label noobs append

// Table 2


// Decomposition results for Tables


tab hqual33, gen(qA33)
global xqal "qA331 qA332 qA333 qA335 qA336 qA337"
gen logWorkhrsA33=ln(workhoursY00)
egen z2CognitiveMathA16 = std(CognitiveMathA16)
egen z2CognitiveReadA16 = std(CognitiveReadA16)
sum z2CognitiveMathA16 z2CognitiveReadA16 CognitiveMathA16 CognitiveReadA16

gen WHA33sq = workhoursY00*workhoursY00

// Non cognitve skills

tab NCSAge33, gen(NCSAge33)



*keep if WorkhoursAge33<85

gen notemp = (workhoursY00==0|workhoursY00==.)
gen pt=(workhoursY00<35 & workhoursY00>0)
gen ft=(workhoursY00>=35 & workhoursY00<49)
gen fft=(workhoursY00>=49 & workhoursY00!=.)

gen MalaiseA33=MalaiseY90


//// We need to use missing dummy flags
gen neglect = ChildneglectA7_11
replace neglect = 0 if ACEIndex!=. & neglect==.

gen cogmath=(CognitiveMathA16==. & neglect!=.)
replace CognitiveMathA16=0 if cogmath==1

gen cogread=(CognitiveReadA16==. & neglect!=.)
replace CognitiveReadA16=0 if cogread==1


//// Family
gen marrymiss=(MarriedAge33==. & neglect!=.)
replace MarriedAge33=0 if marrymiss==1
 
 
gen childmiss=(NumberchildrenAge33==. & neglect!=.)
replace NumberchildrenAge33=0 if childmiss==1

/// Education 

gen edumiss=(EducationAge33 ==. & neglect!=.)
replace EducationAge33=0 if edumiss==1

tab EducationAge33, gen(EduA33)

*ACEDummy Decomposition Analysis
global cs "CognitiveMathA16 CognitiveReadA16 cogmath cogread"
global ncs "NCSAge332 NCSAge333 NCSAge334"
global health "MalaiseA33 PHealthProblemAge33"
global edu "EduA332 EduA333 EduA334 EduA335 EduA336 edumiss"
global fam "MarriedAge33 NumberchildrenAge33 marrymiss childmiss"
global wh "notemp pt fft"

global Xvarsmed "$cs $ncs $health $edu $fam $wh"

// Table A7: ACE dummy

eststo clear
eststo: oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(ACEDummy) pooled detail
eststo: oaxaca YWelfareDepend2013 $Xvarsmed, by(ACEDummy) pooled detail
eststo: oaxaca YPoverty2013 $Xvarsmed, by(ACEDummy) pooled detail
esttab using "$pathtable\Oaxaca-tables.csv", replace nostar noparentheses
esttab using "$pathtable\TableA7.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Welfare" "Poverty") ///
 title(Oaxaca decomposition) 
eststo clear

oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(ACEDummy) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 1

gen cognitive=(abs(ox4)/total)*100 in 1
gen noncognitive=(abs(ox5)/total)*100 in 1
gen health=(abs(ox6)/total)*100 in 1
gen education=(abs(ox7)/total)*100 in 1
gen family=(abs(ox8)/total)*100 in 1
gen employment=(abs(ox9)/total)*100 in 1
gen unobserved=(abs(ox18)/total)*100 in 1

drop ox1-ox18 total

oaxaca YWelfareDepend2013 $Xvarsmed, by(ACEDummy) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)

gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 2

replace cognitive=(abs(ox4)/total)*100 in 2
replace noncognitive=(abs(ox5)/total)*100 in 2
replace health=(abs(ox6)/total)*100 in 2
replace education=(abs(ox7)/total)*100 in 2
replace family=(abs(ox8)/total)*100 in 2
replace employment=(abs(ox9)/total)*100 in 2
replace unobserved=(abs(ox18)/total)*100 in 2

drop ox1-ox18 total

oaxaca YPoverty2013 $Xvarsmed, by(ACEDummy) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 3

replace cognitive=(abs(ox4)/total)*100 in 3
replace noncognitive=(abs(ox5)/total)*100 in 3
replace health=(abs(ox6)/total)*100 in 3
replace education=(abs(ox7)/total)*100 in 3
replace family=(abs(ox8)/total)*100 in 3
replace employment=(abs(ox9)/total)*100 in 3
replace unobserved=(abs(ox18)/total)*100 in 3

drop ox1-ox18 total

gen outcomelab=1 in 1
replace outcomelab=2 in 2
replace outcomelab=3 in 3

label define outlab 1 "Income" 2 "Welfare" 3 "Poverty", modify
label values outcomelab outlab


set scheme s1mono
graph hbar cognitive noncognitive health education family employment unobserved, over(outcomelab) stack ///
ylabel(10(10)100) ytitle("Percent contribution") ///
legend(region(lwidth(none)) label(1 "Cognitive skills") label(2 "Noncognitive skills") label(3 "Health") ///
label(4 "Education") label(5 "Family factors") label(6 "Labour force attachment") label(7 "Unobserved factors") cols(2) position(6) ring(1)) ///
bar(1, color(green)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(gold)) bar(6, color(orange)) bar(7, color(ltblue))

graph export "$pathfig\fig-decomp.emf", as(emf) replace

drop cognitive noncognitive health education family employment unobserved outcomelab

// Table A8: Neglect

eststo clear
eststo: oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(neglect) pooled detail
gen sampleoaxaca=(e(sample)==1)
eststo: oaxaca YWelfareDepend2013 $Xvarsmed, by(neglect) pooled detail
eststo: oaxaca YPoverty2013 $Xvarsmed, by(neglect) pooled detail
esttab using "$pathtable\Oaxaca-neglect-tables.csv", replace nostar noparentheses
esttab using "$pathtable\TableA8.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Welfare" "Poverty") ///
title(Oaxaca decomposition)
drop sampleoaxaca


oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(neglect) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 1

gen cognitive=(abs(ox4)/total)*100 in 1
gen noncognitive=(abs(ox5)/total)*100 in 1
gen health=(abs(ox6)/total)*100 in 1
gen education=(abs(ox7)/total)*100 in 1
gen family=(abs(ox8)/total)*100 in 1
gen employment=(abs(ox9)/total)*100 in 1
gen unobserved=(abs(ox18)/total)*100 in 1

drop ox1-ox18 total

oaxaca YWelfareDepend2013 $Xvarsmed, by(neglect) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)

gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 2

replace cognitive=(abs(ox4)/total)*100 in 2
replace noncognitive=(abs(ox5)/total)*100 in 2
replace health=(abs(ox6)/total)*100 in 2
replace education=(abs(ox7)/total)*100 in 2
replace family=(abs(ox8)/total)*100 in 2
replace employment=(abs(ox9)/total)*100 in 2
replace unobserved=(abs(ox18)/total)*100 in 2

drop ox1-ox18 total

oaxaca YPoverty2013 $Xvarsmed, by(neglect) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 3

replace cognitive=(abs(ox4)/total)*100 in 3
replace noncognitive=(abs(ox5)/total)*100 in 3
replace health=(abs(ox6)/total)*100 in 3
replace education=(abs(ox7)/total)*100 in 3
replace family=(abs(ox8)/total)*100 in 3
replace employment=(abs(ox9)/total)*100 in 3
replace unobserved=(abs(ox18)/total)*100 in 3

drop ox1-ox18 total

gen outcomelab=1 in 1
replace outcomelab=2 in 2
replace outcomelab=3 in 3

label define outlab 1 "Income" 2 "Welfare" 3 "Poverty", modify
label values outcomelab outlab

set scheme s1mono
graph hbar cognitive noncognitive health education family employment unobserved, over(outcomelab) stack ///
ylabel(10(10)100) ytitle("Percent contribution") ///
legend(region(lwidth(none)) label(1 "Cognitive skills") label(2 "Noncognitive skills") label(3 "Health") ///
label(4 "Education") label(5 "Family factors") label(6 "Labour force attachment") label(7 "Unobserved factors") cols(2) position(6) ring(1)) ///
bar(1, color(green)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(gold)) bar(6, color(orange)) bar(7, color(ltblue))

graph export "$pathfig\fig-decomp-neglect.emf", as(emf) replace

drop cognitive noncognitive health education family employment unobserved outcomelab

// Table A9: ACE-factor analysis-dummy

eststo clear
eststo: oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(ACEFAC_DUMMY) pooled detail
gen sampleoaxaca=(e(sample)==1)
eststo: oaxaca YWelfareDepend2013 $Xvarsmed, by(ACEFAC_DUMMY) pooled detail
eststo: oaxaca YPoverty2013 $Xvarsmed, by(ACEFAC_DUMMY) pooled detail
esttab using "$pathtable\Oaxaca-ACEFAC-tables.csv", replace nostar noparentheses
esttab using "$pathtable\TableA9.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Welfare" "Poverty") ///
title(Oaxaca decomposition)


oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(ACEFAC_DUMMY) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 1

gen cognitive=(abs(ox4)/total)*100 in 1
gen noncognitive=(abs(ox5)/total)*100 in 1
gen health=(abs(ox6)/total)*100 in 1
gen education=(abs(ox7)/total)*100 in 1
gen family=(abs(ox8)/total)*100 in 1
gen employment=(abs(ox9)/total)*100 in 1
gen unobserved=(abs(ox18)/total)*100 in 1

drop ox1-ox18 total

oaxaca YWelfareDepend2013 $Xvarsmed, by(ACEFAC_DUMMY) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)

gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 2

replace cognitive=(abs(ox4)/total)*100 in 2
replace noncognitive=(abs(ox5)/total)*100 in 2
replace health=(abs(ox6)/total)*100 in 2
replace education=(abs(ox7)/total)*100 in 2
replace family=(abs(ox8)/total)*100 in 2
replace employment=(abs(ox9)/total)*100 in 2
replace unobserved=(abs(ox18)/total)*100 in 2

drop ox1-ox18 total

oaxaca YPoverty2013 $Xvarsmed, by(ACEFAC_DUMMY) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 3

replace cognitive=(abs(ox4)/total)*100 in 3
replace noncognitive=(abs(ox5)/total)*100 in 3
replace health=(abs(ox6)/total)*100 in 3
replace education=(abs(ox7)/total)*100 in 3
replace family=(abs(ox8)/total)*100 in 3
replace employment=(abs(ox9)/total)*100 in 3
replace unobserved=(abs(ox18)/total)*100 in 3

drop ox1-ox18 total

gen outcomelab=1 in 1
replace outcomelab=2 in 2
replace outcomelab=3 in 3

label define outlab 1 "Income" 2 "Welfare" 3 "Poverty", modify
label values outcomelab outlab

set scheme s1mono
graph hbar cognitive noncognitive health education family employment unobserved, over(outcomelab) stack ///
ylabel(10(10)100) ytitle("Percent contribution") ///
legend(region(lwidth(none)) label(1 "Cognitive skills") label(2 "Noncognitive skills") label(3 "Health") ///
label(4 "Education") label(5 "Family factors") label(6 "Labour force attachment") label(7 "Unobserved factors") cols(2) position(6) ring(1)) ///
bar(1, color(green)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(gold)) bar(6, color(orange)) bar(7, color(ltblue))

graph export "$pathfig\fig-decomp-ACEFAC.emf", as(emf) replace

//// ROBUST ACE DUMMY ////

eststo clear
eststo: oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(RobustACEDummy) pooled detail
gen sampleoaxaca=(e(sample)==1)
eststo: oaxaca YWelfareDepend2013 $Xvarsmed, by(RobustACEDummy) pooled detail
eststo: oaxaca YPoverty2013 $Xvarsmed, by(RobustACEDummy) pooled detail
esttab using "$pathtable\Oaxaca-ACERobust-tables.csv", replace nostar noparentheses
esttab using "$pathtable\TableA11.rtf", replace se(2) label star(* .10 ** 0.05 *** 0.01) ///
obslast mtitles("Net Income (>0)" "Welfare" "Poverty") ///
title(Oaxaca decomposition)


oaxaca logy0 $Xvarsmed if y>20 & y<100000, by(RobustACEDummy) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 1

gen cognitive=(abs(ox4)/total)*100 in 1
gen noncognitive=(abs(ox5)/total)*100 in 1
gen health=(abs(ox6)/total)*100 in 1
gen education=(abs(ox7)/total)*100 in 1
gen family=(abs(ox8)/total)*100 in 1
gen employment=(abs(ox9)/total)*100 in 1
gen unobserved=(abs(ox18)/total)*100 in 1

drop ox1-ox18 total

oaxaca YWelfareDepend2013 $Xvarsmed, by(RobustACEDummy) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)

gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 2

replace cognitive=(abs(ox4)/total)*100 in 2
replace noncognitive=(abs(ox5)/total)*100 in 2
replace health=(abs(ox6)/total)*100 in 2
replace education=(abs(ox7)/total)*100 in 2
replace family=(abs(ox8)/total)*100 in 2
replace employment=(abs(ox9)/total)*100 in 2
replace unobserved=(abs(ox18)/total)*100 in 2

drop ox1-ox18 total

oaxaca YPoverty2013 $Xvarsmed, by(RobustACEDummy) pooled detail(cs: $cs, ncs: $ncs, health: $health, edu: $edu, fam: $fam, wh: $wh)
mat beta=e(b)
mat beta=beta \ beta
mat beta=beta \ beta
svmat beta, names(ox)
gen total=abs(ox4) + abs(ox5) + abs(ox6) + abs(ox7) + abs(ox8) + abs(ox9) + abs(ox18) in 3

replace cognitive=(abs(ox4)/total)*100 in 3
replace noncognitive=(abs(ox5)/total)*100 in 3
replace health=(abs(ox6)/total)*100 in 3
replace education=(abs(ox7)/total)*100 in 3
replace family=(abs(ox8)/total)*100 in 3
replace employment=(abs(ox9)/total)*100 in 3
replace unobserved=(abs(ox18)/total)*100 in 3

drop ox1-ox18 total

gen outcomelab=1 in 1
replace outcomelab=2 in 2
replace outcomelab=3 in 3

label define outlab 1 "Income" 2 "Welfare" 3 "Poverty", modify
label values outcomelab outlab


set scheme s1mono
graph hbar cognitive noncognitive health education family employment unobserved, over(outcomelab) stack ///
ylabel(10(10)100) ytitle("Percent contribution") ///
legend(region(lwidth(none)) label(1 "Cognitive skills") label(2 "Noncognitive skills") label(3 "Health") ///
label(4 "Education") label(5 "Family factors") label(6 "Labour force attachment") label(7 "Unobserved factors") cols(2) position(6) ring(1)) ///
bar(1, color(green)) bar(2, color(pink)) bar(3, color(blue)) bar(4, color(red)) bar(5, color(gold)) bar(6, color(orange)) bar(7, color(ltblue))

graph export "$pathfig\fig-Robustdecomp.emf", as(emf) replace

////summary stats 
gen malaise=MalaiseA33/2 
global wh "notemp pt ft fft" 
global ncs "NCSAge331 NCSAge332 NCSAge333 NCSAge334"
global Xvarsmed "$cs $ncs $health $edu $fam $wh"

estpost summarize $Xvarsmed if sampleoaxaca==1
esttab . using "$pathtable\Table1a.rtf", cells("count mean(fmt(%8.3f)) sd(fmt(%8.3f)) min max") label noobs replace


estpost summarize FathereduA16 MothereduA16 if (sampleoaxaca==1 & FathereduA16>0 & MothereduA16>0)
esttab . using "$pathtable\Table1a.rtf", cells("count mean(fmt(%8.3f)) sd(fmt(%8.3f)) min max") label noobs replace


estpost summarize malaise if sampleoaxaca==1



